using System.Text.Json.Serialization;

namespace economy.Models.Financial.Interest
{
    // 검색결과 변수
    public class Response
    {
        public List<Data> Items { get; set; }
    }

    public class Data
    {
        [JsonPropertyName("result")]
        public int Result { get; set; }

        [JsonPropertyName("sfln_intrc_nm")]
        public string? InterestName { get; set; } // 대출기간

        [JsonPropertyName("int_r")]
        public string? InterestRate { get; set; } // 고정기준금리
    }
}